<?php

namespace App\Models;

use CodeIgniter\Model;

class Model_kategori_pendidikan extends Model
{
    public function all_data()
    {
        return $this->db->table('tbl_kategori_pendidikan')
            ->orderBy('id_kategori_pendidikan', 'DESC')
            ->get()
            ->getResultArray();
    }

    public function add($data)
    {
        $this->db->table('tbl_kategori_pendidikan')->insert($data);
    }

    public function edit($data)
    {
        $this->db->table('tbl_kategori_pendidikan')
            ->where('id_kategori_pendidikan', $data['id_kategori_pendidikan'])
            ->update($data);
    }

    public function delete_data($data)
    {
        $this->db->table('tbl_kategori_pendidikan')
            ->where('id_kategori_pendidikan', $data['id_kategori_pendidikan'])
            ->delete($data);
    }
}
